<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('modules', function (Blueprint $table) {
            $table->id();
			$table->string('title', 50)->nullable()->comment('模块标题');
            $table->string('name')->unique()->comment('模块标识');
			$table->text('description')->nullable()->comment('模块描述');
            $table->boolean('status')->comment('模块状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('modules');
    }
};
